Bug 73672 - ports/misc/reed - readd author's site and WWW, download PGP signature
Summary: ports/misc/reed - readd author's site and WWW, download PGP signature
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pete Fritchman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-08 14:00 UTC by jharris
Modified: 2004-12-15 17:17 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2004-11-08 14:00:53 UTC
	readd author's site and WWW, download PGP signature

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iD8DBQFBj3jCSypIl9OdoOMRAsBmAJ9htmJu1JZI0SVZCP4ac1VLuAb6ywCghVaO
CTAI/R5S/dUA90DFKjyO6bo=
=DYam
-----END PGP SIGNATURE-------bRE9TdQwyLnXdTCahOgXkSERY699yvEEh5uIqikZ0RU4E251
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/misc/reed/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- Makefile	8 Nov 2004 03:37:59 -0000	1.9
+++ Makefile	8 Nov 2004 13:42:19 -0000
@@ -9,12 +9,15 @@
 PORTVERSION=	5.4
 PORTREVISION=	1
 CATEGORIES=	misc
-MASTER_SITES=	${MASTER_SITE_LOCAL}
-MASTER_SITE_SUBDIR=	petef
+MASTER_SITES=	http://www.sacredchao.net/~piman/archive/
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} ${DISTNAME}${EXTRACT_SUFX}.sig
+EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER=	petef@FreeBSD.org
 COMMENT=	A text pager with autoscrolling and more
 
+USE_GPG?=	yes
+SIG_FILES=	${DISTNAME}${EXTRACT_SUFX}.sig
 USE_PERL5=	yes
 HAS_CONFIGURE=	yes
 CONFIGURE_SCRIPT=	configures
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/misc/reed/distinfo,v
retrieving revision 1.6
diff -u -r1.6 distinfo
--- distinfo	31 Mar 2004 03:09:48 -0000	1.6
+++ distinfo	8 Nov 2004 13:42:19 -0000
@@ -1,2 +1,3 @@
 MD5 (reed-5.4.tar.gz) = 22c8d80dd6a81ecc6ef60662f2d1840c
 SIZE (reed-5.4.tar.gz) = 32414
+MD5 (reed-5.4.tar.gz.sig) = 9c6a253e93c65ab301585b34508ff9a9
Index: pkg-descr
===================================================================
RCS file: /home/ncvs/ports/misc/reed/pkg-descr,v
retrieving revision 1.2
diff -u -r1.2 pkg-descr
--- pkg-descr	8 Nov 2004 03:37:59 -0000	1.2
+++ pkg-descr	8 Nov 2004 13:42:19 -0000
@@ -6,3 +6,5 @@
 
 - Pete
 petef@databits.net
+
+WWW: http://web.archive.org/web/20040217010815/www.sacredchao.net/software/reed/
cvs server: Diffing files
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.6 (FreeBSD)
How-To-Repeat: 
	apply patch below
Comment 1 Volker Stolz freebsd_committer 2004-11-10 10:12:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->petef

Over to maintainer
Comment 2 Pete Fritchman freebsd_committer 2004-12-15 17:16:36 UTC
State Changed
From-To: open->closed

Committed, thanks.  I didn't commit the PGP and SIG stuff, because I 
don't see those macros in /usr/ports/Mk yet.